Roaring logo
Log in

Company documents

Find annual reports, letters of registration and other important documents for a specific company.

Company documents

[se]
Requires addon

Documentation

Access Official Company Documents with Company Documents API. The Company Documents API allows you to quickly fetch key business documents, helping you verify company legitimacy, ensure transparency, and mitigate risks. With this API, you can retrieve:

  • Registration certificates
  • Annual reports
  • Articles of association
  • Meeting minutes
  • By-laws
  • Financial plans

Use case:

A financial institution onboarding a new B2B customer uses the Company Documents API to instantly download the company’s registration certificate and latest annual report, verifying their legal status and financial standing before entering a business relationship.

Document types

Type
Description (SE)
Description (EN)
Notes
ANNUAL_REPORTÅrsredovisningAnnual financial reportFinancial reports that are submitted annually. Obligated for limited companies, other company types can also occur.
INTERIM_REPORTDelårsredovisningInterim financial reportInterim financial reports are only listed if they cover another period than the whole year or if the full year report is not yet available.
MEETING_MINUTESProtokollMeeting minutesExample: general meeting protocol (Swedish: bolagsstämmoprotokoll)
REGISTRATION_CERTIFICATIONRegisteringsbevisRegistration certificationA document which shows the current information registered by the Swedish Companies Registration Office (Bolagsverket). Certificates are in Swedish. Information included is for example name, business activities, signatories, address and board information
ARTICLES_OF_ASSOCIATIONBolagsordningArticles of associationCore rules of a limited company. The document must be in Swedish. Examples of information which should be in the articles of association: business name, registered office in Sweden, business activities, share capital info, minimum/maximum number of members and deputy members of the board of directors, minimum/maximum number of auditors, rules for summoning to general meetings, financial year.
ARTICLES_OF_ASSOCIATION_NONLIMITEDStadgarArticles of association or statutesNon limited companies version of the articles of association (in Swedish: stadgar). Partnerships, Economic associations have this type of articles of association, for example
FINANCIAL_PLANEkonomisk planFinancial planTenant-owner associations (Swedish: Bostadsrättsföreningar) should register a financial plan

Document Status Codes

Code
Description (Swedish)
Description (English)
availableDokumentet är möjligt att hämtaThe document can be fetched
secrecyDokumentet har en sekretessmarkering och kan därför inte laddas nerThe document has a secrecy marking and can not be fetched

Endpoints

List documents

gethttps://api.roaring.io/se/company/document/1.0/{companyId}

Parameters path

companyId

required

string
Id of company

Parameters query

documentType
array
Optional filter to limit type of documents to return

Response schema: application/json

Fetch company certification

gethttps://api.roaring.io/se/company/document/1.0/{companyId}/registration_certification

Parameters path

companyId

required

string
id of company

Fetch annual report

gethttps://api.roaring.io/se/company/document/1.0/{companyId}/annual_report/{documentId}

Parameters path

companyId

required

string
id of company
documentId

required

string
id of document

Fetch interim report

gethttps://api.roaring.io/se/company/document/1.0/{companyId}/interim_report/{documentId}

Parameters path

companyId

required

string
id of company
documentId

required

string
id of document

Fetch meeting minutes

gethttps://api.roaring.io/se/company/document/1.0/{companyId}/meeting_minutes/{documentId}

Parameters path

companyId

required

string
id of company
documentId

required

string
id of document

Fetch articles of association

gethttps://api.roaring.io/se/company/document/1.0/{companyId}/articles_of_association/{documentId}

Parameters path

companyId

required

string
id of company
documentId

required

string
id of document

Fetch articles of association non limited

gethttps://api.roaring.io/se/company/document/1.0/{companyId}/articles_of_association_nonlimited/{documentId}

Parameters path

companyId

required

string
id of company
documentId

required

string
id of document

Fetch financial plan

gethttps://api.roaring.io/se/company/document/1.0/{companyId}/financial_plan/{documentId}

Parameters path

companyId

required

string
id of company
documentId

required

string
id of document